Subject: Re: Order 600790549
From: Dana Al Shehabi <[email-masked]>
To: Eugene Mugisa <[email-masked]>
Cc: Support <[email-masked]>, Shinette Grace Ochoa <[email-masked]>, Ekta Jesswani <[email-masked]>, customer care <[email-masked]>
Date: Sun, 7 Jun 2020 16:59:44 +0300
List-Id: <ccteam.mumzworld.com>

This is ridiculous, I am not getting a response by the very least explaining why my refund hasn’t been processed almost two and half months later.

I am expecting an immediate response and action.

Dana 

> On May 21, 2020, at 1:51 PM, Dana Al Shehabi <[email-masked]> wrote:
> 
> 
> My refund hasn’t been processed it’s been over a month. 
> 
> Please resolve immediately.
> 
> Regards
> Dana 
> 
>>> On Apr 30, 2020, at 6:49 PM, Eugene Mugisa <[email-masked]> wrote:
>>> 
>> 
>> + @Shinette Grace Ochoa @Ekta Jesswani @customer care
>>  
>> Please check
>>  
>> Best,
>> Eugene.
>>  
>> -----Original Message-----
>> From: Dana Al Shehabi <[email-masked]> 
>> Sent: Thursday, April 30, 2020 3:26 PM
>> To: [email-masked]
>> Cc: [email-masked]
>> Subject: Re: Order 600790549
>>  
>> Hello
>>  
>> Reference to my call on 22 April and my subsequent email, please note that I still haven’t received my refund.
>>  
>> Please confirm of it has been processed.
>>  
>> Thank you
>> Dana
>>  
>> > On Apr 22, 2020, at 2:57 PM, Dana Al Shehabi <[email-masked]> wrote:
>> >
>> > Reference to my call with your customer care agent regarding my order no. 600790549, please note that my order was received today in this condition.
>> >
>> > Pictures below for your reference.
>> >
>> > Regards
>> > Dana alshehabi
>> >
>> >
>> >
>> >
>> >
>> >
>> >
>> >
>> >
>> >
>> >
>> >
>> >
>> >
>> >
>> >